TAVERNA-970 Newer Jena (and other) versions
authorStian Soiland-Reyes <stain@apache.org>
Sun, 15 May 2016 14:55:54 +0000 (15:55 +0100)
committerStian Soiland-Reyes <stain@apache.org>
Sun, 15 May 2016 14:55:54 +0000 (15:55 +0100)
pom.xml

diff --git a/pom.xml b/pom.xml
index ae8344c..66dbdbb 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -342,7 +342,7 @@ upgraded - this leads to recursive spaghetti.
 <activation.version>1.1.1</activation.version>
 <antlr.version>2.7.7</antlr.version>
 <apache.commons.csv.version>1.0.0.BUILD-20080106</apache.commons.csv.version>
-<apache.httpclient.version>4.5.1</apache.httpclient.version>
+<apache.httpclient.version>4.5.2</apache.httpclient.version><!-- must be compatibe with jsonld-java -->
 <apache.httpcore.version>4.4.4</apache.httpcore.version> <!-- must match what httpclient depends on -->
 <aspectj.version>1.6.9</aspectj.version>
 <axis.jaxrpc.version>1.4</axis.jaxrpc.version>
@@ -356,7 +356,7 @@ upgraded - this leads to recursive spaghetti.
 <commons.cli.version>1.2.0</commons.cli.version>
 <commons.codec.version>1.10</commons.codec.version>
 <commons.collections.version>3.2.1</commons.collections.version>
-<commons.configuration.version>1.9</commons.configuration.version>
+<commons.configuration.version>1.10</commons.configuration.version>
 <commons.dbcp.version>1.4</commons.dbcp.version>
 <commons.httpclient.version>3.1.0</commons.httpclient.version>
 <commons.io.version>2.4</commons.io.version>
@@ -364,16 +364,13 @@ upgraded - this leads to recursive spaghetti.
 <commons.logging.version>1.1.1</commons.logging.version>
 <commons.net.version>2.0.0</commons.net.version>
 <dom4j.version>1.6.1</dom4j.version>
-<elmo.version>1.5</elmo.version>
 <geronimo.spec.jta.version>1.0-M1</geronimo.spec.jta.version>
 <gson.version>1.4</gson.version>
-<hibernate.version>3.2.6.ga</hibernate.version>
 <htmlparser.version>1.4</htmlparser.version>
 <icu4j.version>3.4.4</icu4j.version>
 <io.airlift.airline.version>0.7</io.airlift.airline.version>
-<jackson.version>2.3.3</jackson.version> <!-- Should be   -->
-<!-- http://github.com/jai-imageio/ -->
-<jai.imageio.core.version>1.3.1</jai.imageio.core.version>
+<jackson.version>2.6.3</jackson.version> <!-- Sync with jsonldjava -->
+<jai.imageio.core.version>1.3.1</jai.imageio.core.version> <!-- http://github.com/jai-imageio/ -->
 <javahelp.version>2.0.02</javahelp.version>
 <javax.el.version>1.0.0</javax.el.version>
 <javax.servlet.jsp.version>2.1.0</javax.servlet.jsp.version>
@@ -385,11 +382,12 @@ upgraded - this leads to recursive spaghetti.
 <jaxws.api.version>2.1</jaxws.api.version>
 <jdom.version>1.1.0</jdom.version> <!-- com.springsource.org.jdom -->
 <jedit.syntax.version>2.2.5</jedit.syntax.version>
-<jena.version>3.0.0</jena.version><!--  NOTE: TAVERNA-892 -->
+<jena.version>3.1.0</jena.version><!-- See also jsonld-java and httpcomponents -->
 <jetty.version>6.1.24</jetty.version>
 <jmimemagic.version>0.1.2</jmimemagic.version>
 <jmoby.version>1.1.5-taverna</jmoby.version>
 <json.lib.version>2.3</json.lib.version>
+<jsonldjava.version>0.8.2</jsonldjava.version> <!-- upgrade from jena, sync with jackson and httpcomponents -->
 <junit.version>4.11</junit.version>
 <log4j.version>1.2.17</log4j.version>
 <mail.version>1.4.1</mail.version>
@@ -417,7 +415,7 @@ upgraded - this leads to recursive spaghetti.
 <stax.version>1.0</stax.version>
 <tupelo.version>2.6</tupelo.version>
 <xalan.version>2.7.1</xalan.version>
-<xerces.version>2.9.1</xerces.version>
+<servicemix.xerces.version>2.11.0_1</servicemix.xerces.version>
 <xmlbeans.version>2.4.0</xmlbeans.version>
 <xml.rpc.version>1.1.0</xml.rpc.version>
 <xstream.version>1.4.1</xstream.version>